local shader=Shader.new("vShader","fShader",0,
{
{name="vMatrix",type=Shader.CMATRIX,sys=Shader.SYS_WVP,vertex=true},
{name="fColor",type=Shader.CFLOAT4,sys=Shader.SYS_COLOR,vertex=false},
{name="fTexture",type=Shader.CTEXTURE,vertex=false},
{name="fTexelSizeH",type=Shader.CFLOAT4,vertex=false},
{name="fTexelSizeW",type=Shader.CFLOAT4,vertex=false},
{name="fRad",type=Shader.CINT,vertex=false},
},
{
{name="vVertex",type=Shader.DFLOAT,mult=3,slot=0,offset=0},
{name="vColor",type=Shader.DUBYTE,mult=4,slot=1,offset=0},
{name="vTexCoord",type=Shader.DFLOAT,mult=2,slot=2,offset=0},
});

cw,ch=application:getContentWidth(),application:getContentHeight()

print(shader:isValid())
shader:setConstant("fRad",Shader.CINT,1,0) --Initial blur level
shader:setConstant("fTexelSizeH",Shader.CFLOAT4,1,{0,1/ch,0,0}) --Initial horizontal texel size
shader:setConstant("fTexelSizeW",Shader.CFLOAT4,1,{1/cw,0,0,0}) --Initial vertical texel size

b=Bitmap.new(Texture.new("texture.jpg"))

stage:addChild(b)

b:setShader(shader)

srot=0
stage:addEventListener(Event.ENTER_FRAME,function ()
	srot=srot+1
	local shad=math.floor((math.cos(srot/50)+1)*5)
	shader:setConstant("fRad",Shader.CINT,1,shad) --Set blur factor	
end)